/**
 * @author Namita Singla
 * @version v1.0 Class representing Children price
 */
public class ChildrenPrice extends Price {

 /**
  * Get price code
  * 
  * @return price code
  */
 public int getPriceCode() {
  return Movie.CHILDREN;
 }

 /**
  * Get charge
  * 
  * @param daysRented
  *            number of days
  */
 public double getCharge(int daysRented) {
  double result = 1.5;
  if (daysRented > 3)
   result += (daysRented - 3) * 1.5;
  return result;
 }
}

