/**
 * @author Namita Singla
 * @version v1.0 Class representing Price object.
 */
public abstract class Price {

	abstract int getPriceCode();

	abstract double getCharge(int daysRented);

	/**
	 * Get frequent renter points
	 * @param daysRented  number of days
	 * @return frequent points earned
	 */
	public int getFrequentRenterPoints(int daysRented) {
		return 1;
	}
}