/**
 * @author Namita Singla
 * @version v1.0 Class representing Regular price
 */
public class RegularPrice extends Price {

 /**
  * Get price code
  */
 public int getPriceCode() {
  return Movie.REGULAR;
 }

 /**
  * Calculate regular price
  * 
  * @param daysRented
  *            number of days
  */
 public double getCharge(int daysRented) {
  double result = 2;
  if (daysRented > 2)
   result += (daysRented - 2) * 1.5;
  return result;
 }
}