import junit.framework.*;

/**
 * Tests methods of the Customer class
 */
public class TestCustomer extends TestCase {
  private Customer c;
  private Movie r1, r2, c1, c2, nr1, nr2;

  protected void setUp() throws Exception {
    super.setUp();
    /**@todo verify the constructors*/
    System.out.println("Got to setUP()");
    c = new Customer("Kent Beck");
    r1 = new Movie("Usual Suspects", Movie.REGULAR);
    r2 = new Movie("Silence of the Lambs", Movie.REGULAR);
    c1 = new Movie("Shrek 2", Movie.CHILDREN);
    c2 = new Movie("Harry Potter and the Prisoner of Azkaban",
                    Movie.CHILDREN);
    nr1 = new Movie("Grudge", Movie.NEW_RELEASE);
    nr2 = new Movie("Ladder 49", Movie.NEW_RELEASE);
    c.addRental(new Rental(r1, 2));
    c.addRental(new Rental(r2, 2));
    c.addRental(new Rental(c1, 3));
    c.addRental(new Rental(c2, 3));
    c.addRental(new Rental(nr1, 2));
    c.addRental(new Rental(nr2, 3));
  }

  /**
   * Test getTotalCharge() method
   */
  public void testGetTotalCharge() {
    // doSetUp();
    assertEquals(22, c.getTotalCharge(), 0);
  }

  /**
   * Test getTotalFrequentRenterPoints() method
   */
  public void testGetTotalFrequentRenterPoints() {
    // doSetUp();
    assertEquals(8, c.getTotalFrequentRenterPoints(), 0);
  }

}
